package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobItemGroupPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobItemGroupMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobItemGroupPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobItemGroupPO> listSome(SalarySobItemGroupPO salarySobItemGroup);

	List<SalarySobItemGroupPO> listSomeWithItemHide(SalarySobItemGroupPO build);

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobItemGroupPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param salarySobItemGroup 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobItemGroupPO salarySobItemGroup);
	
	/**
     * 修改，修改所有字段
     *
     * @param salarySobItemGroup 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobItemGroupPO salarySobItemGroup);
	
	/**
     * 修改，忽略null字段
     *
     * @param salarySobItemGroup 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobItemGroupPO salarySobItemGroup);
	
	/**
     * 删除记录
     *
     * @param salarySobItemGroup 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobItemGroupPO salarySobItemGroup);



	/**
	 * 根据薪资账套id删除
	 *
	 * @param salarySobIds
	 */
	void deleteBySalarySobIds(@Param("salarySobIds") Collection<Long> salarySobIds);

	/**
	 * 根据主键id删除
	 *
	 * @param ids
	 */
	void deleteByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 批量保存
	 *
	 * @param salarySobItemGroups
	 */
	void batchInsert(@Param("collection") Collection<SalarySobItemGroupPO> salarySobItemGroups);


}